all : Q1 Q2 Q3 PPcomplex

Q1 : Q1.c
	gcc -o Q1 Q1.c
	
Q2 : Q2.c
	gcc -o Q2 Q2.c -lm
	
Q3 : Q3.c
	gcc -o Q3 Q3.c -lm
	
PPcomplex : PPcomplex.o Complex.o
	gcc -o PPcomplex PPcomplex.o Complex.o -lm
	
clean :
	rm -f *.o *~ Q1 Q2 Q3 PPcomplex